YAML::Nodes::Scalar - Crystal 0.35.1

# class YAML::Nodes::Scalar

- YAML::Nodes::Scalar
- YAML::Nodes::Node
- Reference
- Object

##
Overview

A scalar value.

##
Defined in:

##
Constructors

- .new(value : String)

  Creates a scalar with the given value.

##
Instance Method Summary

- #style : ScalarStyle

  The style of this scalar.

- #style=(style : ScalarStyle)

  The style of this scalar.

- #to_yaml(builder : YAML::Builder)
- #value : String

  The value of this scalar.

- #value=(value : String)

  The value of this scalar.

### Instance methods inherited from class `YAML::Nodes::Node`

anchor : String? anchor, anchor=(anchor : String?) anchor=, end_column : Int32 end_column, end_column=(end_column) end_column=, end_line : Int32 end_line, end_line=(end_line) end_line=, location : Tuple(Int32, Int32) location, raise(message) raise, start_column : Int32 start_column, start_column=(start_column) start_column=, start_line : Int32 start_line, start_line=(start_line) start_line=, tag : String? tag, tag=(tag : String?) tag=

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(*values : Object) : Bool
in?(collection) : Bool in?, inspect : String
inspect(io : IO) : Nil inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(io : IO, indent : String = " ")
to_pretty_json(indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(value : String) #

Creates a scalar with the given value.

##
Instance Method Detail

def style : ScalarStyle #

The style of this scalar.

def style=(style : ScalarStyle) #

The style of this scalar.

def to_yaml(builder : YAML::Builder) #
def value : String #

The value of this scalar.

def value=(value : String) #

The value of this scalar.